
Redmine - Defect #24696

Create issue assigned_to_id does not work

2016-12-26 19:02 - Ramon Nunes Teixeira

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I have installed redmine 3.3 official docker and when I try to create a new issue with a assigned_to filled the value is not saved, even

coming in the request

In the log no error is displayed, however the value is not filled, if I edit the issue and fill in the field again then it works.

Started POST "/projects/infra/issues" for 192.168.99.1 at 2016-12-26 15:24:21 -0200

Processing by IssuesController#create as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"N8zoHbIRPxnLQnzLAycKHYBSt/hGP/tla6yPuz3+AJLDNyh

4lTAlKzrpAyJy2aOWaCbILUxRcLzGs7PyqAKAvg==", "form_update_triggered_by"=>"", "issue"=>{"is_private"

=>"0", "tracker_id"=>"14", "subject"=>"teste", "description"=>"teste", "status_id"=>"1", "priority

_id"=>"2", "assigned_to_id"=>"33", "fixed_version_id"=>"", "parent_issue_id"=>"", "start_date"=>"2

016-12-26", "due_date"=>"", "estimated_hours"=>"", "done_ratio"=>"0", "custom_field_values"=>{"1"=

>"", "24"=>"Não Necessário"}, "sprint_id"=>"1", "pending_effort"=>""}, "was_default_status"=>"1", 

"requirement_issue"=>{"num_of_cases"=>""}, "commit"=>"Criar", "project_id"=>"infra"}

  Current user: ramon.teixeira (id=33)

= Running shared code for Issue (#) "Tarefa de Desenvolvimento #: teste" 

= Finished running shared code for Issue (#) "Tarefa de Desenvolvimento #: teste" 

  Rendered mailer/_issue.text.erb (3.1ms)

  Rendered mailer/issue_add.text.erb within layouts/mailer (4.7ms)

  Rendered mailer/_issue.html.erb (3.9ms)

  Rendered mailer/issue_add.html.erb within layouts/mailer (4.3ms)

Redirected to http://192.168.99.100:3000/issues/15083

History

#1 - 2017-01-16 12:47 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

"sprint_id" is not in Redmine core.
